Discover comprehensive vehicle market value including historical vehicle sale history. Learn more about above and below market pricing.
The Vehicle Market Value API provides access to a library of vehicle market value data.
The Vehicle Market Value API estimates the market value for used and new cars by VIN based on millions of historical vehicle sales stored in CarsXE's sales database.
With the assumption that sale prices are normally distributed, CarsXE's market value model estimates the "below market" and "above market" values within a distribution.
This endpoint allows you to retrieve the market value for a specific vehicle based on its VIN.
keyYour CarsXE API key.
vinThe 17 character long vehicle identification number.
formatThe format of the response. One of json or xml. Defaults to json.
vinThe vehicle identification number.
successWhether market value data has been retrieved.
retailRetail price of the vehicle.
tradeInThe trade in price of the vehicle.
roughTradeInThe rough trade in price of the vehicle.
averageTradeInThe average trade in of the vehicle.
loanValueLoan value of vehicle.
msrpManufacturer suggested retail price of vehicle.
tradeInValuesA list of trade in values recorded for the vehicle.
auctionValuesMap of auction value ranges in a given data range.
curl -G https://api.carsxe.com/marketvalue \
-d key=CARSXE_API_KEY \
-d vin=WBAFR7C57CC811956{
"retail": "16075",
"tradeIn": "13575",
"roughTradeIn": "10250",
"averageTradeIn": "12050",
"loanValue": "12225",
"uid": 1172227,
"msrp": "52250",
"tradeInValues": [
{
"date": "2018-08-01T00:00:00.000Z",
"value": "13575",
},
{
"date": "2018-07-01T00:00:00.000Z",
"value": "13600",
},
{
"date": "2018-06-01T00:00:00.000Z",
"value": "14175",
},
{
"date": "2018-05-01T00:00:00.000Z",
"value": "14175",
},
{
"date": "2018-04-01T00:00:00.000Z",
"value": "14650",
},
],
"auctionValues": {
"lowAuctionValue": 9050,
"averageAuctionValue": 11925,
"highAuctionValue": 14825,
"dateRange": "8/6/2018 - 8/12/2018",
},
}